Bug 173056 - NFS - binding to one interface
NFS - binding to one interface
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-13 04:35 EST by Nigel Horne
Modified: 2008-03-09 16:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 16:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2005-11-13 04:35:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have two Ethernet cards on one of the machines, it would be useful to bind the NFS system just to one of them, but "netstat -a" shows that the NFS server is listening to connections from any address even though I've set the exports to only accept mounts from network addresses on one of the cards.

My firewall gives the same functionality, but it would be cleaner if the server did it (as well) and I can't see why it shouldn't.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.7-12.FC4

How reproducible:
Always

Steps to Reproduce:
1. Modify /etc/exports
2. Start NFS
3. Run netstat -a
  

Actual Results:  [njh@bandsman ~]$ netstat -a | fgrep nfs
tcp        0      0 *:nfs                       *:*                         LISTEN
udp        0      0 *:nfs                       *:*                             
[njh@bandsman ~]$ /sbin/ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:10:A7:1B:3F:90
          inet addr:192.168.1.1  Bcast:192.168.1.155  Mask:255.255.255.0
          UP BROADCAST MULTICAST  MTU:1454  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:11 Base address:0xe000

eth1      Link encap:Ethernet  HWaddr 00:80:C8:FC:39:D3
          inet addr:192.168.8.2  Bcast:192.168.8.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1454  Metric:1
          RX packets:7280 errors:0 dropped:0 overruns:0 frame:0
          TX packets:7199 errors:0 dropped:0 overruns:0 carrier:0
          collisions:24 txqueuelen:1000
          RX bytes:4994359 (4.7 MiB)  TX bytes:1038289 (1013.9 KiB)
          Interrupt:10 Base address:0xe400

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:31928 errors:0 dropped:0 overruns:0 frame:0
          TX packets:31928 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:16906479 (16.1 MiB)  TX bytes:16906479 (16.1 MiB)

[njh@bandsman ~]$     

Expected Results:  Bound to just one ethernet card

Additional info:

/etc/exports:
/       192.168.1.0/255.255.255.0(sync,insecure,no_root_squash,rw)
/var    192.168.1.0/255.255.255.0(sync,insecure,no_root_squash,rw)
Comment 1 Steve Dickson 2006-07-25 00:19:36 EDT
With some recent upstream change, this should be possible with FC6...
Comment 2 Christian Iseli 2007-01-22 05:38:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-09 16:41:29 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.